<?php
/**
 * Theme Functions.
 */

add_action( 'wp_enqueue_scripts', 'perfect_blogging_enqueue_styles' );
	function perfect_blogging_enqueue_styles() {
    	$parent_style = 'perfect-blog-basic-style'; // Style handle of parent theme.
		wp_enqueue_style( $parent_style, get_template_directory_uri() . '/style.css' );
		wp_enqueue_style( 'perfect-blogging-style', get_stylesheet_uri(), array( $parent_style ) );
}

function perfect_blogging_customize_register() {     
		global $wp_customize;
		$wp_customize->remove_section( 'perfect_blog_theme_color_option' );  //Modify this line as needed  
	} 
add_action( 'customize_register', 'perfect_blogging_customize_register', 11 );

// Customizer Section
function perfect_blogging_customizer ( $wp_customize ) {

	$wp_customize->add_section( 'perfect_blogging_category_post_section' , array(
    	'title'      => __( 'Single Category Post', 'perfect-blogging' ),
		'priority'   => null,
		'panel' => 'perfect_blog_panel_id'
	) );

	$categories = get_categories();
	$cats = array();
	$i = 0;
	$cat_post[]= 'select';
	foreach($categories as $category){
		if($i==0){
			$default = $category->slug;
			$i++;
		}
		$cat_post[$category->slug] = $category->name;
	}

	$wp_customize->add_setting('perfect_blogging_category_post',array(
		'default'	=> 'select',
		'sanitize_callback' => 'perfect_blogging_sanitize_choices',
	));
	$wp_customize->add_control('perfect_blogging_category_post',array(
		'type'    => 'select',
		'choices' => $cat_post,
		'label' => __('Select Category to display post','perfect-blogging'),
		'section' => 'perfect_blogging_category_post_section',
	));
}
add_action( 'customize_register', 'perfect_blogging_customizer' );


/*radio button sanitization*/
function perfect_blogging_sanitize_choices( $input, $setting ) {
    global $wp_customize; 
    $control = $wp_customize->get_control( $setting->id ); 
    if ( array_key_exists( $input, $control->choices ) ) {
        return $input;
    } else {
        return $setting->default;
    }
}